//#define Windows__  //uncomment this if you want to compile for Windows platform

#include <QtGui/QApplication>
#include "mainwindow.h"
#ifdef Windows__
    #include <QtGui/QSplashscreen>
#else
    #include <QSplashScreen>
#endif

int main(int argc, char *argv[])
{
    QApplication a(argc, argv);
    QPixmap pixmap(":/images/splash.png");
    QSplashScreen splash(pixmap);
    splash.show();
    MainWindow w;
    while(w.splashtimer>0){a.processEvents();}

    QPixmap windowicon(":/images/icon64.png");

#ifdef Windows__
      w.setWindowIcon(windowicon);
#endif
    w.show();
    splash.finish(&w);
    return a.exec();
}
