#ifndef RENDERAREA_H
#define RENDERAREA_H

#include <QWidget>
#include <QPainter>
#include <QGraphicsView>

#ifndef __fiberTYPES__
#define __fiberTYPES__
typedef struct fiberelement
{
  double r;
  double dl;
  double temp;
}fiberelement;
#endif


class RenderArea : public QWidget
{
    Q_OBJECT

public:
    RenderArea(QWidget *parent = 0);


    fiberelement *fiber; //[];

    int unsigned segments;
    double fiber_totlength;
    double fiber_r0;
    double fiber_taperlength;
    double fiber_mindiam;
    double fiber_max_angle;

private:
   int unsigned zero;

protected:
    void paintEvent(QPaintEvent *event);
};


#endif // RENDERAREA_H
