#include "taper.h"
fiberelement fiber[N_], dlfiber[N_];
double dx;
double temp(double r,double Lx)
{
  return (pow(PL_/(epsilon_*sigma_*PI*PI*2.0*w0_*Lx)*(1.0-exp(-0.5*PI*beta_*r)),0.25)); //add your temperature of the fiber as  a function of radius here
}
double viscosity(double r,double Lx) //calculates the viscosity of the fiber
{
  return (pow(10.0,A_+B_/(temp(r,Lx)-273.15-T0_))); //add the function of viscosity as a function of temp here...
//  return(1.0);
}
double dl_df(double r,double Lx) //stretch per unit length and unit force
{
  return (1.0/(viscosity(r,Lx)*r*r)); //add your function of fractional stretch of the fiber per unit force here
}
double L(double x) //returns the function L(x)
{
  double Lx=L0_ + alpha_ * x;
  return ((Lx>0)?Lx:0.0);
}
char unsigned heated(int j, double x) //returns 1 if element j is heated; 0 otherwise
{
  int i;
  double xpos=0;
  for(i=0; i<=j; i++) xpos+=fiber[i].dl;

  double totlength=xpos;
  for(;i<N_;i++)totlength+=fiber[i].dl;

  return ( (totlength-0.5*L(x))>xpos?0:1);
}
void main_()
{
/*  for(int i = 0; i<N_; i++)
  {
    fiber[i].r =r0_;
    fiber[i].dl=1.2*(0.5*(x0_+L0_))/N_;  //change this if you want to allow 'future heating' occur over a larger range than from P to Q
  }
*/
/*  dx=0.5*x0_/(double)nofpulls_;

  for(double x=dx; x<=0.5*x0_; x+=dx)
  {
    double dltot=0;
    for (int i =0; i<N_; i++)
      dltot+=(heated(i,2.0*x)?(dlfiber[i].dl=dl_df(fiber[i].r,L(x))):(dlfiber[i].dl=0.0)); //check if heated!!

    for(int i =0; i<N_; i++)
    {
      fiber[i].r=sqrt(fiber[i].r*fiber[i].r*fiber[i].dl/(fiber[i].dl+dlfiber[i].dl/(dltot/dx))); //normalize the volume!
      fiber[i].dl+=dlfiber[i].dl/(dltot/dx); //normalize the stretch!
    }
  }
  */



  double x=0;
  for (int i =0; i<N_; i++)
  {

    cout<<x<<"  "<<fiber[i].r<<"  "<<temp(fiber[i].r,L(0.5*x0_))<<"  "<<viscosity(fiber[i].r,L(0.5*x0_))<<endl;
    x+=fiber[i].dl;
  }
}

